Apache JMeter

## org.apache.jmeter.timers
Class BSFTimer

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.BSFTestElement
              org.apache.jmeter.timers.BSFTimer

All Implemented Interfaces:
  Serializable, Cloneable, TestBean, TestElement, Timer

    public class BSFTimer

extends BSFTestElement
implements Cloneable, Timer, TestBean

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BSFTimer()`

Method Summary
`long` `delay()` This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

Methods inherited from class org.apache.jmeter.util.BSFTestElement
`clone, evalFileOrScript, getFilename, getManager, getParameters, getScript, getScriptLanguage, initManager, processFileOrScript, readResolve, setFilename, setParameters, setScript, setScriptLanguage`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BSFTimer

    public BSFTimer()

Method Detail

### delay

    public long delay()

  This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

  Specified by:
    `delay` in interface `Timer`
  Returns:
    the computed delay value.

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.